<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="com.lukouguoji.module_base.LoginActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="180dp"
        android:layout_gravity="center"
        android:background="@mipmap/lgoin_bg"
        android:orientation="vertical">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/logo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="20dp"
                    android:src="@mipmap/logos" />

                <TextView
                    android:id="@+id/loginTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/logo"
                    android:layout_centerInParent="true"
                    android:text="航空物流信息系统"
                    android:textColor="@color/white"
                    android:textSize="40dp" />

            </RelativeLayout>
        </FrameLayout>
    </LinearLayout>


    <LinearLayout
        android:id="@+id/userLinear"
        android:layout_width="310dp"
        android:layout_height="140dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="20dp"
        android:gravity="center"
        android:orientation="vertical">

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:background="#DCDCDB"
            android:visibility="invisible" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/titleUser"
                android:layout_width="20dp"
                android:layout_height="25dp"
                android:src="@drawable/img_user_svg" />

            <EditText
                android:id="@+id/inputUser"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="50dp"
                android:width="200dp"
                android:height="30dp"
                android:background="@drawable/login_edit_text"
                android:hint="请输入用户名"
                android:inputType="text"
                android:maxLines="1"
                android:textColor="@color/text_normal"
                android:textColorHint="@color/text_gray_l" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginLeft="50dp"
            android:layout_marginBottom="10dp"
            android:text="此用户不存在"
            android:textColor="@color/red"
            android:textSize="12sp"
            android:visibility="gone" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:background="#DCDCDB" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/passLinear"
                android:layout_width="20dp"
                android:layout_height="25dp"
                android:src="@drawable/img_password_svg" />

            <EditText
                android:id="@+id/inputPass"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="50dp"
                android:width="200dp"
                android:height="30dp"
                android:background="@drawable/login_edit_text"
                android:hint="请输入密码"
                android:inputType="textPassword"
                android:maxLines="1"
                android:textColor="@color/text_normal"
                android:textColorHint="@color/text_gray_l"
                android:textSize="18sp" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:background="#DCDCDB" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="310dp"
        android:layout_height="65dp"
        android:layout_gravity="center_horizontal"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="25dp"
            android:layout_marginLeft="10dp"
            android:src="@drawable/img_login_role" />

        <Spinner
            android:id="@+id/spinner"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:overlapAnchor="false"
            android:spinnerMode="dropdown" />

    </LinearLayout>
    <View
        android:layout_width="270dp"
        android:layout_height="1dp"
        android:layout_gravity="center_horizontal"
        android:background="#DCDCDB" />

    <LinearLayout
        android:layout_width="310dp"
        android:layout_height="65dp"
        android:layout_gravity="center_horizontal"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="25dp"
            android:layout_marginLeft="10dp"
            android:src="@drawable/img_url" />

        <Spinner
            android:id="@+id/spinner_url"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:overlapAnchor="false"
            android:spinnerMode="dropdown" />

    </LinearLayout>

    <View
        android:layout_width="270dp"
        android:layout_height="1dp"
        android:layout_gravity="center_horizontal"
        android:background="#DCDCDB" />

    <TextView
        android:id="@+id/loginButton"
        android:layout_width="300dp"
        android:layout_height="50dp"
        android:layout_gravity="center"
        android:layout_marginTop="40dp"
        android:background="@drawable/login_shape"
        android:gravity="center"
        android:text="登录"
        android:textColor="@color/white"
        android:textSize="22sp" />

    <TextView
        android:id="@+id/tv_pda"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="15dp"
        android:text="进入PDA"
        android:textColor="@color/colorPrimary"
        android:visibility="gone" />

</LinearLayout>